package eu.maiora.model

import eu.maiora.db.*

class ResidenzeRepositoryImpl : ResidenzeRepository {
    override suspend fun listaResidenze(): List<Residenze> = suspendTransaction {
        // Cerca la lista di composizioni
        ResidenzeDao.all()
            .toList()
            .map { residenzeDaoToModel(it) } // Converte il DAO in un oggetto Residenze

    }
}