package eu.maiora.model

import eu.maiora.db.*
import org.jetbrains.exposed.sql.SortOrder
import org.jetbrains.exposed.sql.insertAndGetId

class ViewPrenotazioniPastiRepositoryImpl : ViewPrenotazioniPastiRepository {

    override suspend fun prenotazioniPastiById(id : Long): ViewPrenotazioniPasti = suspendTransaction {
        // Cerca la prenotazione
        ViewPrenotazioniPastiDao.find { ViewPrenotazioniPastiTable.idPrenotazione eq id }
            .first() //prendo solo il primo record, dato che ci sono tanti record quanti prodotti prenotati
            .let { viewPrenotazioniPastiDaoToModel(it) } // Converte il DAO in un oggetto ViewPrenotazioniPasti
    }
}